Package org.silverpeas.components.suggestionbox.web

# Class SuggestionCommentEntity

java.lang.Object
org.silverpeas.core.webapi.comment.CommentEntity
org.silverpeas.components.suggestionbox.web.SuggestionCommentEntity

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

public class SuggestionCommentEntity extends org.silverpeas.core.webapi.comment.CommentEntity
A comment posted about a given suggestion. It extends the comment by adding it additional information like the title and the author of the commented suggestion.

Author:
  mmoquillon
See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `static SuggestionCommentEntity`
  `fromComment(org.silverpeas.core.comment.model.Comment comment, String language)`
  `String`
  `getSuggestionAuthorName()`
  `String`
  `getSuggestionTitle()`
  `int`
  `hashCode()`
  `SuggestionCommentEntity`
  `onSuggestion(Suggestion suggestion)`

  ### Methods inherited from class org.silverpeas.core.webapi.comment.CommentEntity

  `getAuthor, getComponentId, getCreationDate, getCurrentUserLanguage, getId, getModificationDate, getResourceId, getResourceType, getText, getURI, isIndexed, toComment, withCurrentUserLanguage, withURI`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### fromComment

    public static SuggestionCommentEntity fromComment(org.silverpeas.core.comment.model.Comment comment, String language)

  - ### onSuggestion

    public SuggestionCommentEntity onSuggestion(Suggestion suggestion)

  - ### getSuggestionTitle

    public String getSuggestionTitle()

  - ### getSuggestionAuthorName

    public String getSuggestionAuthorName()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `org.silverpeas.core.webapi.comment.CommentEntity`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `org.silverpeas.core.webapi.comment.CommentEntity`